Summary:	PostgreSQL driver and tools library
Name:		python3-py-postgresql
Version:	1.1.0
Release:	9
License:	BSD
Group:		Development/Languages/Python
Source0:	https://github.com/python-postgres/fe/archive/v%{version}.tar.gz
# Source0-md5:	8efe810a4abbbbe1c25b4fcef29421fa
URL:		http://python.projects.postgresql.org/
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq  python3-modules
Requires:	python3-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
py-postgresql is a set of Python modules providing interfaces to
various parts of PostgreSQL. Notably, it provides a pure-Python driver
+ C optimizations for querying a PostgreSQL database.

%prep
%setup -q -n fe-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py3_sitedir}/postgresql
%{py3_sitedir}/*.egg-info
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-py-postgresql.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 9ff5e9a
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 6ebf123
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c80b6b8
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 52d3c36
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> a211cfb
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1032f4e
- rebuild with python 3.8
- release 4 (by relup.sh)

* Wed Jul 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e1c905c
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e963783
- python 3.6
- release 2 (by relup.sh)

* Wed Jul 13 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> da5efa7
- up to 1.1.0

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 5a4f434
- use rpm python macros
- rel 8

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e10f4dc
- release 7 (by relup.sh)

* Fri Sep 18 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 766190e
- python 3.5 rebuild
- release 6 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 46160f7
- python 3.5 rebuild
- release 5 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f65c98e
- python 3.4
- release 4 (by relup.sh)

* Sun Jul 07 2013 Elan Ruusamäe <glen@delfi.ee> 7c8d83e
- rebuild without py2 specific pythonegg() provides
- release 3 (by relup.sh)

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> da8c319
- release 2 (by relup.sh)

* Tue Jul 17 2012 Artur Frysiak <artur@frysiak.net> 6d37c92
- Up to 1.0.4

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> aa79c4d
- no %py3_postclean
- Release: 2

* Mon Sep 20 2010 Artur Frysiak <artur@frysiak.net> 94f88cc
- 1.0.2

* Thu May 13 2010 sparky <sparky@pld-linux.org> eeeacf8
- BR: python3-modules, rpm-pythonprov

